import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createCompHooks } from "../../../defines/createCompHooks";
import { createCompId } from "../../../defines/createCompId";

export { Component } from "./component";

export const options = {
  name: "卡片",
  thumbnail: require("@/assets/comps/Card12/thumbnail.jpg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: {},
  layout: {
    padding: "0.5rem 0",
  },
  children: {
    text: () =>
      createCompId("Text", {
        value: `<p style="text-align:right;"><span style="color:hsl(0, 0%, 0%);font-size:20px;"><strong>P190-2#</strong></span></p>`,
        layout: {
          textAlign: "center",
        },
      }),
    text2: () =>
      createCompId("Text", {
        value: `<p style="text-align:center;">P190-2#</p>`,
        layout: {
          textAlign: "center",
        },
      }),
    img1: () =>
      createCompId("Image", {
        value: {
          url: require("@/assets/comps/Card12/img_1.jpg"),
        },
      }),
  },
});

export const Form = createAttrsForm([]);
