import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createCompHooks } from "../../defines/createCompHooks";

export { Component } from "./component";

export const options = {
  name: "文本",
  thumbnail: Dict_Imgs.Default,
};

export const { createComp, useCompData } = createCompHooks({
  value: "请输入内容",
});

export const Form = createAttrsForm([
  {
    label: "文本",
    dataIndex: "value",
    component: "Input",
  },
]);
