
import { DesignComp } from "./DesignComp";
import { dataTransform } from "./versions/0.0.1";

export class DesignTemp {
  version?: string;
  _id!: string;
  title = "";
  pageStyle?: any;
  // content: string[] = [];
  compMap: { [compId: string]: DesignComp } = {};

  constructor(data?: Partial<DesignTemp>) {
    if (!data) return;
    Object.assign(this, dataTransform(data));
  }
}
